- List article versions
Fetch the version history of an article by making a GET request to https://api.intercom.io/articles/<article_id>/versions. Versions are returned newest-first as a paginated list of metadata. Use GET /articles/{article_id}/versions/{id} to retrieve a single version with its full content.
A 404 has an empty response body, whether the article or its content isn't found.
Requires the read_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/articles/{article_id}/versions
- The european API serverhttps://api.eu.intercom.io/articles/{article_id}/versions
- The australian API serverhttps://api.au.intercom.io/articles/{article_id}/versions
curl -i -X GET \
'https://api.intercom.io/articles/123/versions?page=1&per_page=10&locale=en' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Versions found
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
An array of Article version summary objects.
{ "type": "list", "pages": { "type": "pages", "page": 1, "per_page": 10, "total_pages": 1 }, "total_count": 2, "data": [ { … }, { … } ] }